# -*- coding: utf-8 -*-

def compare(roles, old_roles):

    if len(roles) != len(old_roles):
        return False
        
    for role in roles:
        if role not in old_roles:
            return False
    return True

def compare_roles(roles, old_roles):

	common_roles = [role for role in roles if role in old_roles]
	added_roles = list(set(roles) - set(common_roles))
	deleted_roles = list(set(old_roles)- set(common_roles)) 
	return dict(added_roles=added_roles, deleted_roles=deleted_roles)